Subject: Re: WG Last Call for draft-ietf-l2vpn-evpn-req

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Tue, 9 Apr 2013 21:24:33 +0000

Folks,

As I noted in my email below (Feb/24), all the WG LC comments haven been addressed in rev02 of this draft. Some of the comments ask for better clarify in the text for some of the requirements and thus suggesting following the text with some explicit requirements. As the result, a few additional requirements were added to sections 4.3, 4.6, and 10. Please review the changes  and let me know if you have any questions.

Thanks,
Ali

From: Cisco Employee <[email-masked]<mailto:[email-masked]>>
Date: Sunday, February 24, 2013 11:10 PM
To: "Giles Heron (giheron)" <[email-masked]<mailto:[email-masked]>>, "Bitar, Nabil N" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: WG Last Call for draft-ietf-l2vpn-evpn-req

Giles, Nabil:

Today, I went over all the WG LC comments one more time to ensure that all the comments posted to the WG mailing list have been resolved. I have published rev02 with all the comment resolutions.

Cheers,
Ali

________________________________

  *   To: Giles Heron <giles.heron at gmail.com<mailto:[email-masked]>>, Lucy yong <lucy.yong at huawei.com<mailto:[email-masked]>>
  *   Subject: Re: WG Last Call for draft-ietf-l2vpn-evpn-req
  *   From: "Ali Sajassi (sajassi)" <sajassi at cisco.com<mailto:[email-masked]>>
  *   Date: Thu, 15 Nov 2012 18:09:53 +0000

Giles, Nabil:

I think all the comments regarding this last call have been resolved. I
have already incorporated them into the next rev. of the draft.

Regards,
Ali

On 11/4/12 1:02 PM, "Giles Heron" <giles.heron at gmail.com> wrote:

>Thanks Lucy,
>
>authors - I'd like to see you address Yuanlong and Lucy's comments.
>Perhaps you can discuss face-to-face this week?
>
>Once the comments have been addressed we can progress the draft further.
>
>thanks.
>
>Giles
>
>On 4 Nov 2012, at 19:40, Lucy yong <lucy.yong at huawei.com> wrote:
>
>> I support this draft but have some comments.
>>
>> 1) in section 4.3, Text: The latter scenario often means that requiring
>>a dedicated
>>   link between the PEs, for the operation of the multi-homing
>>mechanism, is not appealing from cost standpoint.
>>
>> Comment: a dedicated link between PEs. will this link is in IGP link
>>too? or private link.
>> May PE nodes that are multi-homed to a same CE be different ASes? If
>>yes, state it out.
>>
>> 2) in section 4.6, the last paragraph should state a requirement for
>>flow based load balance.
>>
>> 3) It should add one requirement in supporting Ethernet L2VPN across
>>multi-ASes
>>
>> 4) As the draft mentioned, the new service interfaces are required for
>>DC interconnection. If DC uses NVo3 in future, will these service
>>interfaces are still necessary? Suggest giving some use cases where the
>>new service interfaces are necessary in an appendix.
>>
>> Cheers,
>> Lucy
>>
>>> ------------------------------
>>> Date: Fri, 19 Oct 2012 23:34:53 +0100
>>> From: Giles Heron <giles.heron at gmail.com>
>>> To: "l2vpn at ietf.org" <l2vpn at ietf.org>
>>> Subject: WG Last Call for draft-ietf-l2vpn-evpn-req
>>> Message-ID: <755C3ABB-ADE3-42EE-8BE1-FBBEDB84BC32 at gmail.com>
>>> Content-Type: text/plain; charset=us-ascii
>>>
>>> This email initiates an L2VPN WG Last Call for:
>>>
>>> http://tools.ietf.org/html/draft-ietf-l2vpn-evpn-req-01
>>>
>>> please comment to the list as to the suitability of this draft for
>>> publication as a Standards Track RFC from the L2VPN WG.
>>>
>>> this last call will close on Friday 2nd November.
>>>
>>> Nabil & Giles
>>
>

---

From: Giles Heron <[email-masked]>
Date: Mon, 15 Apr 2013 18:56:55 +0100

Thanks Ali,

WG - please do respond if you see any issues with rev02.  Given that the IPR poll has closed, and that all authors have now responded, we plan to move ahead with publishing this draft as an RFC unless we get substantive comments relating to the changes between rev01 and rev02 by the end of this week (i.e. by Friday April 19th).

thanks.

Giles

On 9 Apr 2013, at 22:24, Ali Sajassi (sajassi) <[email-masked]> wrote:

> From: Cisco Employee <[email-masked]>
> To: "Giles Heron (giheron)" <[email-masked]>, "Bitar, Nabil N" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 	• To: Giles Heron <giles.heron at gmail.com>, Lucy yong <lucy.yong at huawei.com>
> 	• Subject: Re: WG Last Call for draft-ietf-l2vpn-evpn-req
> 	• From: "Ali Sajassi (sajassi)" <sajassi at cisco.com>
> 	• Date: Thu, 15 Nov 2012 18:09:53 +0000
>  
> Giles, Nabil:
>

---

From: Lucy yong <[email-masked]>
Date: Wed, 17 Apr 2013 10:29:53 +0000

Check the diff. btw 01 and 02. Following new text need to be revised.

1) [ENTROPY-LABEL] should be [RFC6790]. Correct it in the reference section too.
2) the contributor's affiliation and address should be included. 
3) replace contributers with contributors

One comment:
There is a strong desire to apply EVPN inside DC to support multi-tenancy, in which additional requirements are necessary. We can either include the requirements in this document or will have another document to address those requirements. The additional requirements in my minds are 1) Support VM mobility 2) EVPN over IP infrastructure 3) EVPNs interworking for multi-subnets 4) traffic optimization over infrastructure network, etc. Can we decide where to include these req. prior to progressing the draft?

Cheers,
Lucy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Giles Heron
> Sent: Monday, April 15, 2013 12:57 PM
> To: Ali Sajassi
> Cc: [email-masked]
> WG - please do respond if you see any issues with rev02.  Given that
> the IPR poll has closed, and that all authors have now responded, we
> plan to move ahead with publishing this draft as an RFC unless we get
> substantive comments relating to the changes between rev01 and rev02 by
> the end of this week (i.e. by Friday April 19th).
> 
> thanks.
> 
> Giles
> 
> > As I noted in my email below (Feb/24), all the WG LC comments haven
> been addressed in rev02 of this draft. Some of the comments ask for
> better clarify in the text for some of the requirements and thus
> suggesting following the text with some explicit requirements. As the
> result, a few additional requirements were added to sections 4.3, 4.6,
> and 10. Please review the changes  and let me know if you have any
> questions.
> >
> > Thanks,
> > Ali
> >
> > Today, I went over all the WG LC comments one more time to ensure
> that all the comments posted to the WG mailing list have been resolved.
> I have published rev02 with all the comment resolutions.
> >
> > Cheers,
> > Ali
> >
> >
> > 	* To: Giles Heron <giles.heron at gmail.com>, Lucy yong
> <lucy.yong at huawei.com>
> > 	* From: "Ali Sajassi (sajassi)" <sajassi at cisco.com>

---

From: John E Drake <[email-masked]>
Date: Wed, 17 Apr 2013 11:10:37 +0000

Lucy,

I think the NVO3 group should document DC requirements.  As I recall, that is what it was chartered to do.

Irrespectively Yours,

John

> Of Lucy yong
> Sent: Wednesday, April 17, 2013 3:30 AM
> To: Giles Heron; Ali Sajassi
> Cc: [email-masked]
> Subject: RE: WG Last Call for draft-ietf-l2vpn-evpn-req
> 
> There is a strong desire to apply EVPN inside DC to support multi-
> tenancy, in which additional requirements are necessary. We can either
> include the requirements in this document or will have another document
> to address those requirements. The additional requirements in my minds
> are 1) Support VM mobility 2) EVPN over IP infrastructure 3) EVPNs
> interworking for multi-subnets 4) traffic optimization over
> infrastructure network, etc. Can we decide where to include these req.
> prior to progressing the draft?
> 
> Cheers,
> Lucy
> 
> > substantive comments relating to the changes between rev01 and rev02
> > by the end of this week (i.e. by Friday April 19th).
> >
> > thanks.
> >
> > Giles
> >
> > > I think all the comments regarding this last call have been
> resolved.
> > I
> > > >> May PE nodes that are multi-homed to a same CE be different
> ASes?
> > If
> > > >>yes, state it out.
> > > >>
> > > >> 4) As the draft mentioned, the new service interfaces are
> > > >> required
> > for
> > > >>interfaces are still necessary? Suggest giving some use cases
> > > >>where
> > the

---

From: Lucy yong <[email-masked]>
Date: Wed, 17 Apr 2013 12:28:21 +0000

Hi John,

This is no doubt that nvo3 requirements doc. need to cover this application.  

If this document is about the EVPN requirements, and if the EVPN is also intended to apply to inside DC, do you think that the additional requirements related to this application should be EVPN requirements? To avoid the duplication, maybe we simply reference the nvo3 requirement in this document. Thus, in the introduction section of this document, it should mention intra-DC application at least and related requirement reference. 

Thanks,
Lucy

> From: John E Drake [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2013 6:11 AM
> To: Lucy yong; Giles Heron; Ali Sajassi
> Cc: [email-masked]
> > > > >> Comment: a dedicated link between PEs. will this link is in
> IGP
> > > link
> > > > >>too? or private link.
> > > > >> 2) in section 4.6, the last paragraph should state a
> requirement
> > > for
> > > > >>flow based load balance.
> > > > >>
> > > > >>> please comment to the list as to the suitability of this
> draft
> > > for

---

From: John E Drake <[email-masked]>
Date: Wed, 17 Apr 2013 12:34:04 +0000

Lucy,

The E-VPN Requirements draft details the requirements which E-VPN was designed address.  The fact that it may address additional requirements is irrelevant to this discussion.  It is also the case that raising the issue of additional requirements at this point in the process looks like obstructionism.

Irrespectively Yours,

John

> From: Lucy yong [mailto:[email-masked]]
> Sent: Wednesday, April 17, 2013 5:28 AM
> To: John E Drake; Giles Heron; Ali Sajassi
> Cc: [email-masked]
> If this document is about the EVPN requirements, and if the EVPN is
> also intended to apply to inside DC, do you think that the additional
> requirements related to this application should be EVPN requirements?
> To avoid the duplication, maybe we simply reference the nvo3
> requirement in this document. Thus, in the introduction section of this
> document, it should mention intra-DC application at least and related
> requirement reference.
> 
> Thanks,
> Lucy
> 
> 
> 
> > > > On 9 Apr 2013, at 22:24, Ali Sajassi (sajassi)
> <[email-masked]>
> > > > wrote:
> > > >
> > > > >
> > > > > Folks,
> > > > >
> > > > been addressed in rev02 of this draft. Some of the comments ask
> > > > for better clarify in the text for some of the requirements and
> > > > thus suggesting following the text with some explicit
> > > > requirements. As
> > the
> > > > > To: "Giles Heron (giheron)" <[email-masked]>, "Bitar, Nabil
> N"
> > > > <[email-masked]>
> > > > > >Once the comments have been addressed we can progress the
> draft
> > > > further.
> > > > > >
> > > > > >thanks.
> > > > > >
> > > > > >Giles
> > > > > >
> > > > > >> 1) in section 4.3, Text: The latter scenario often means
> that
> > > > requiring
> > > > > >>a dedicated
> > > > > >> 3) It should add one requirement in supporting Ethernet
> L2VPN
> > > > across
> > > > > >>multi-ASes
> > > > > >>

---

From: Lucy yong <[email-masked]>
Date: Wed, 17 Apr 2013 13:12:12 +0000

> Sent: Wednesday, April 17, 2013 7:34 AM
> The E-VPN Requirements draft details the requirements which E-VPN was
> designed address. 
[Lucy] Yes, E-VPN was originally aimed for SP network service. But now there is also intention to apply it inside DC. 

 The fact that it may address additional requirements
> is irrelevant to this discussion.  It is also the case that raising the
> issue of additional requirements at this point in the process looks
> like obstructionism.
[Lucy] Although the intention of this thread is not for this subject, IMO: raising the question here is valid because it related to the evpn. I guess that you prefer to catch the additional requirements for intra-DC application in different doc, which is one of options mentioned in my early e-mail. If this is the way that the WG want do, we should state clearly in this document: the evpn for inside DC is outside scope of this document. IMO: this is the issue the WG faces. The WG needs to address it. We have an option without process delay. 

Regards,
Lucy
> > > I think the NVO3 group should document DC requirements.  As I
> recall,
> > > that is what it was chartered to do.
> > >
> > > Irrespectively Yours,
> > >
> > > John
> > >
> > > > 1) [ENTROPY-LABEL] should be [RFC6790]. Correct it in the
> reference
> > > > section too.
> > > > > the IPR poll has closed, and that all authors have now
> responded,
> > > we
> > > > > plan to move ahead with publishing this draft as an RFC unless
> we
> > > get
> > > > > result, a few additional requirements were added to sections
> 4.3,
> > > > 4.6,

---

From: John E Drake <[email-masked]>
Date: Wed, 17 Apr 2013 13:41:30 +0000

Irrespectively Yours,

John

> Sent: Wednesday, April 17, 2013 6:12 AM
> [Lucy] Yes, E-VPN was originally aimed for SP network service. But now
> there is also intention to apply it inside DC.

JD:  And what is your point?

> > is irrelevant to this discussion.  It is also the case that raising
> > the issue of additional requirements at this point in the process
> > looks like obstructionism.
> [Lucy] Although the intention of this thread is not for this subject,

JD:  In that case, perhaps we should have an extended discussion of the movies that will be opening this weekend.

> IMO: raising the question here is valid because it related to the evpn.

JD:  To what is 'it' referring and what does 'the evpn' mean?

> I guess that you prefer to catch the additional requirements for intra-
> DC application in different doc, which is one of options mentioned in
> my early e-mail. If this is the way that the WG want do, we should
> state clearly in this document: the evpn for inside DC is outside scope
> of this document.

JD:  So, you want to enumerate all of things that are out of scope for this document?  Are you aware that this enumerated list is potentially infinite in length and that it will constantly change?

> IMO: this is the issue the WG faces. The WG needs to
> address it. We have an option without process delay.

JD:  Since the NVO3 WG is chartered to develop DC requirements and to perform a gap analysis of potential solutions against these requirements, there is no need for the E-VPN Requirements draft to mention DC requirements.
 
> > > also intended to apply to inside DC, do you think that the
> > > additional requirements related to this application should be EVPN
> requirements?
> > > document, it should mention intra-DC application at least and
> > > related requirement reference.
> > >
> > > Thanks,
> > > Lucy
> > >
> > >
> > >
> > > > > to address those requirements. The additional requirements in
> my
> > > > minds
> > > > > infrastructure network, etc. Can we decide where to include
> > > > > these
> > > req.
> > > > > > From: [email-masked] [mailto:[email-masked]]
> > > > > > On
> > > > > Behalf
> > > > > > Of Giles Heron
> > > > > > WG - please do respond if you see any issues with rev02.
> > > > > > Given
> > > > that
> > > > > > substantive comments relating to the changes between rev01
> and
> > > > rev02
> > > > > > > As I noted in my email below (Feb/24), all the WG LC
> > > > > > > comments
> > > > haven
> > > > > > been addressed in rev02 of this draft. Some of the comments
> > > > > > ask for better clarify in the text for some of the
> > > > > > requirements and thus suggesting following the text with some
> > > > > > explicit requirements. As
> > > > the
> > > > > > and 10. Please review the changes  and let me know if you
> have
> > > any
> > > > > > questions.
> > > > > > >
> > > > > > > Thanks,
> > > > > > > Ali
> > > > > > >
> > > > > > > On 11/4/12 1:02 PM, "Giles Heron" <giles.heron at
> gmail.com>
> > > > wrote:
> > > > > > >
> > > > > > > >Thanks Lucy,
> > > > > > > >
> > > > > > > >On 4 Nov 2012, at 19:40, Lucy yong <lucy.yong at
> > > > > > > >huawei.com>
> > > > > wrote:
> > > > > > > >

---

From: Lucy yong <[email-masked]>
Date: Wed, 17 Apr 2013 14:12:43 +0000

See in-line.

> JD:  And what is your point?
[Lucy] my point is that if the evpn requirements should include intra DC application because the desire.
> JD:  In that case, perhaps we should have an extended discussion of the
> movies that will be opening this weekend.
[Lucy] that is definitely irrelevant to this discussion. You are working on the several evpn solution drafts for intra-DCs in this WG. Do you say that should not relevant to the EVPN requirements at all? 
> JD:  To what is 'it' referring and what does 'the evpn' mean?
[Lucy] "it" refers to my question about additional requirements for the evpn to apply in DC.
> JD:  So, you want to enumerate all of things that are out of scope for
> this document?  Are you aware that this enumerated list is potentially
> infinite in length and that it will constantly change?
[Lucy] No, this is not my intention. I just mention the solution we already work on, not anything not foreseeable yet.
> JD:  Since the NVO3 WG is chartered to develop DC requirements and to
> perform a gap analysis of potential solutions against these
> requirements, there is no need for the E-VPN Requirements draft to
> mention DC requirements.
[Lucy] but the evpn-overlay for DC is already started in this WG! It causes people confusion who did work the evpn requirement at beginning. 

Lucy
> > > > requirement in this document. Thus, in the introduction section
> of
> > > this
> > > > > > tenancy, in which additional requirements are necessary. We
> can
> > > > > either
> > > > > > include the requirements in this document or will have
> another
> > > > > document
> > > > > > > > Today, I went over all the WG LC comments one more time
> to
> > > > > > > > ensure
> > > > > > > that all the comments posted to the WG mailing list have
> been
> > > > > > resolved.
> > > > > > > > >authors - I'd like to see you address Yuanlong and
> Lucy's
> > > > > > comments.
> > > > > > > > >>   link between the PEs, for the operation of the
> multi-
> > > > homing
> > > > > > > > >> Comment: a dedicated link between PEs. will this link
> is
> > > in
> > > > > IGP
> > > > > > > link
> > > > > > > > >>too? or private link.
> > > > > > > > >>DC interconnection. If DC uses NVo3 in future, will
> these
> > > > > service

---

From: Giles Heron <[email-masked]>
Date: Wed, 17 Apr 2013 15:18:57 +0100

Hi Lucy,

> 3) replace contributers with contributors

OK. I'm sure Ali can fix those.

> There is a strong desire to apply EVPN inside DC to support multi-tenancy, in which additional requirements are necessary. We can either include the requirements in this document or will have anoth…

As John has noted I'm not sure that we need to document that in L2VPN.

From the NVO3 charter:

"the NVO3 WG will develop requirements for both control plane protocol(s) and data plane encapsulation format(s), and perform a gap analysis of existing candidate mechanisms."

So let's get E-VPN finished within its original scope so that NVO3 can then consider it as a potential candidate mechanism for an NVO3 control plane protocol...

Giles

---

From: Giles Heron <[email-masked]>
Date: Wed, 17 Apr 2013 15:29:10 +0100

Hi Lucy,

On 17 Apr 2013, at 15:12, Lucy yong <[email-masked]> wrote:
[snip]
> [Lucy] but the evpn-overlay for DC is already started in this WG! It causes people confusion who did work the evpn requirement at beginning. 

The evpn-overlay for DC is an individual draft.  As I stated at IETF86 it's not clear if it fits into our current charter.  IIRC we also discussed this at IETF85 - the issue is that NVO3 isn't doing solutions yet, but people are already working (as individuals) on solutions.  We have allowed them to present those solutions in L2VPN but we're not going to adopt them as WG docs any time soon.

Giles

---

From: Aldrin Isaac <[email-masked]>
Date: Fri, 19 Apr 2013 22:00:09 -0400

Hi Lucy,

DCVPN was definitely a key use case that was on our mind at the inception
of EVPN.  This is why so much of the requirements draft directly or
indirectly supports a DCVPN application of EVPN.  At the time the early
drafts were published NVO3 did not exist and there was a great deal of
interest in the SP community so L2VPN WG was the path that was the way
forward.

The requirements draft definitely covers Ethernet DCVPN, and IMO does not
prevent a use case that for VM mobility and multi-subnet.  These can be
described in drafts that describe how EVPN can be combined with other
thingsto support these use cases.  That said, it's possible that we
can change
the one or two places that refer to the underlay network as an MPLS
network.

On Wednesday, April 17, 2013, Lucy yong wrote:

> There is a strong desire to apply EVPN inside DC to support multi-tenancy,
> in which additional requirements are necessary. We can either include the
> requirements in this document or will have another document to address
> those requirements. The additional requirements in my minds are 1) Support
> VM mobility 2) EVPN over IP infrastructure 3) EVPNs interworking for
> multi-subnets 4) traffic optimization over infrastructure network, etc. Can
> we decide where to include these req. prior to progressing the draft?
>
> Cheers,
> Lucy
>
> > From: [email-masked] <javascript:;> [mailto:
> [email-masked] <javascript:;>] On Behalf
> > Of Giles Heron
> > Cc: [email-masked] <javascript:;>
> > On 9 Apr 2013, at 22:24, Ali Sajassi (sajassi) <[email-masked]<javascript:;>
> >
> > wrote:
> >
> > >
> > > Folks,
> > >
> > > From: Cisco Employee <[email-masked] <javascript:;>>
> > > To: "Giles Heron (giheron)" <[email-masked] <javascript:;>>,
> "Bitar, Nabil N"
> > <[email-masked] <javascript:;>>
> > > Cc: "[email-masked] <javascript:;>" <[email-masked] <javascript:;>>

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 22 Apr 2013 17:32:22 +0000

Lucy,

>3) replace contributers with contributors

Sure, I'll incorporate them into the next rev.

>
>One comment:
>There is a strong desire to apply EVPN inside DC to support
>multi-tenancy, in which additional requirements are necessary. We can
>either include the requirements in this document or will have another
>document to address those requirements. The additional requirements in my
>minds are 1) Support VM mobility 2) EVPN over IP infrastructure 3) EVPNs

At this late stage in the process, we cannot introduce any extensive text
and new requriements or else we will never be able to close the document.
I have already incorporated your last batch of comments during the WG LC
in November and this call is supposed to review those edits and ensuring
we have captured the resolutions to those comments. This call is NOT
intended to introduce yet another set of new requirements. We already have
documents in NOV3 that captures DC specific requirements and no need to
replicate them here.

Cheers,
Ali

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 22 Apr 2013 17:51:01 +0000

Hi Giles,

On 4/17/13 7:29 AM, "Giles Heron" <[email-masked]> wrote:

>
>
>The evpn-overlay for DC is an individual draft.  As I stated at IETF86
>it's not clear if it fits into our current charter.  IIRC we also
>discussed this at IETF85 - the issue is that NVO3 isn't doing solutions
>yet, but people are already working (as individuals) on solutions.  We
>have allowed them to present those solutions in L2VPN but we're not going
>to adopt them as WG docs any time soon.

I would just like to clarify that during IETF86, the discussion regarding
in-scope/out-of-scope was for evpn-inter-subnet-forwarding and not
evpn-overlay. The former talks about an IRB-based solution to address IP
forwarding between different subnets while performing L2 forwarding within
a subnet; whereas, the latter discusses how EVPN control plane can be used
with VXLAN encapsulation and I believe the latter fits well within the
current L2VPN charter.

I can see how this confusion is arising because I presented the two drafts
back to back.

Cheers,
Ali